| Home | Libraries | People | FAQ | More

## Class remove_file_on_destroy

boost::interprocess::remove_file_on_destroy

## Synopsis

    // In header: <boost/interprocess/file_mapping.hpp>

    class remove_file_on_destroy {
    public:
      // construct/copy/destruct
      remove_file_on_destroy(const char *);
      ~remove_file_on_destroy();
    };

## Description

A class that stores the name of a file and tries to remove it in its destructor Useful to remove temporary files in the presence of exceptions

### `remove_file_on_destroy` public construct/copy/destruct

1.     remove_file_on_destroy(const char * name);

2.     ~remove_file_on_destroy();